今天(08/26),你看到本文应该是昨天了。

栈长上班打开电脑,按往常一样打开 IntelliJ IDEA 正准备撸码,突然收到 IDEA 2020.2.1 的更新提醒:

我现在用的还是 2020.1 版本:

前段时间,IDEA 2020.2 也发布了,我也收到了更新提醒,但每次我都 X 掉。

因为每次发新版本就会有一个问题,也一直影响着大家升级,那就是粉丝普遍反馈的 Lombok 等插件不兼容的问题,没办法,我们也用了这个插件,轻量使用而已。

这次再点 IDEA 2020.2.1 进去看:

还是说不兼容 Lombok,到底是什么鬼?

再注意看最上面的更新说明,IDEA 2020.2.1 修复了一些 bug,第一个就是关于 Lombok 的:

The Lombok plugin now works as expected without getting blocked by exceptions.

再点击链接进去看:

https://youtrack.jetbrains.com/issue/IDEA-248146

我看了下,是 Lombok 插件原作者两周前发的请求支持的贴子,关于 IntelliJ IDEA 2020.2 不兼容他的插件的问题,想寻求 IntelliJ IDEA 开发者的支持。

下面是评论:

栈长来解读下他们的留言:

Wojciech Musiał:

我不得不说,用户也在哭诉……我们无法使用该工具正常工作,为此,我们付出了代价。我认为,没有人会指责第三方插件开发者,反而是 JetBrains 公司发开发的 Java IDE,没有提供对原生 Lombok 插件的支持。

Matthias Kurz:

+1,请让 IntelliJ 原生对 Lombok 的支持。

Peter GromovL:

这个应该是 IntelliJ 开发者,他 @ Lombok 原作者说:

那是因为有一些来自 Lombok 插件的类的无效成员变量,很有可能是这些成员变量被缓存到某个地方,导致从 isValid 返回 false,而没有缓存被失效。我建议调试检查一下,为什么它们会变为失效,有哪些缓存被涉及到。

还有很多评论的呼声是要官方原生支持 Lombok,IntelliJ 开发者被讨伐,有兴趣可以进那个链接看下,不过这个问题最终还是解决了:

既然如此,为什么还是提示说不兼容 Lombok 呢? 不管了,先升级看看,到底是什么鬼!

牛逼,栈长的 IDEA 和 Lombok 都已经升到最新版了,不管有没有坑,我先替大家踩了!

感受了一下,使用了 Lombok 插件的代码暂时没有遇到问题,不过升级还是需要谨慎,毕竟我只是轻度使用用户。

希望这个版本是彻底解决了新版不兼容 Lombok 插件的问题,后面我们一起拭目以待吧。

最后,对 IDEA 感觉兴趣的可以关注公众号Java技术栈在后台回复idea获取往期教程。

关于是否要用 Lombok 不在本文讨论范围之类,不要留言置评,不然又是一翻口水战了,有没有用怎么用点击这里看详细教程。

关于如何获取 IDEA License 激活码也不在本文讨论范围之类,后面栈长会出一篇如何通过正规途径获取的教程,关注公众号Java技术栈第一时间推送。

关注我,栈长继续分享好玩的 Java 技术,觉得有用的话,点赞、在看、转发三连走一波哟~

声明:本站所有文章,如无特殊说明或标注,均为本站原创发布。任何个人或组织,在未征得本站同意时,禁止复制、盗用、采集、发布本站内容到任何网站、书籍等各类媒体平台。如若本站内容侵犯了原著者的合法权益,可联系我们进行处理。

发表回复

您的电子邮箱地址不会被公开。